Commits

Author Commit Message Labels Comments Date
Andriy Kornatskyy
Added defaults to make_retry; improved asserts.
Andriy Kornatskyy
Introduced retry module.
Andriy Kornatskyy
Fixed PEP8 warnings.
Andriy Kornatskyy
Excluded __init__ module from cythonize and use 2 threads.
Andriy Kornatskyy
Do not apply Base64 encoding to utf-8 mail messages, use use quoted-printable since it is less verbose.
Andriy Kornatskyy
Added ability to set content type and body for http client request.
Andriy Kornatskyy
Use default json parse float for http client json response.
Andriy Kornatskyy
Fixed PEP8 warnings.
Andriy Kornatskyy
Fixed PEP8 warnings.
Andriy Kornatskyy
Updated HTTPClient test case to check if connection close header is set.
Andriy Kornatskyy
Explicitly set header connection close in HTTPClient.
Andriy Kornatskyy
Cythonize python modules in setup.
Andriy Kornatskyy
Refactoring Makefile upload target by removing binary egg.
Andriy Kornatskyy
Minor misprint in docstring.
Andriy Kornatskyy
Minor refactoring in Makefile targets.
Andriy Kornatskyy
Added support for etag processing.
Andriy Kornatskyy
Added support for https url scheme.
Andriy Kornatskyy
Added support for gzip content encoding.
Andriy Kornatskyy
Fixed python 3.2+ compatibility issue.
Andriy Kornatskyy
Fixed python 2.4-2.6 compatibility issue.
Andriy Kornatskyy
Introduced module gzip with one-shot functions for compression and decompression.
Andriy Kornatskyy
If an error has occurred during LazyPool aquire then get back item to pool and re-raise error.
Andriy Kornatskyy
Ensure connect is called before request, this let avoid internal state issues during connect error, e.g. connection refused.
Andriy Kornatskyy
Added httpclient section to userguide.
Andriy Kornatskyy
Added demo for httpclient.
Andriy Kornatskyy
Added httpclient to documentation modules list.
Andriy Kornatskyy
Fixed compatibility issue with python2.4.
Andriy Kornatskyy
Fixed compatibility issue with python3.3.
Andriy Kornatskyy
Minor issue with echo -n argument.
Andriy Kornatskyy
Fixed compatibility issue with python 2.4, 2.5, 3.2 and 3.3.
  1. Prev
  2. Next